---
install_mariadb:
  system_user: "mysql"
  system_group: "mysql"
  config_path: "/etc/mysql/mariadb.conf.d"
  ssl_path: "/etc/mysql/ssl"
  log_path: "/var/log/mysql"
  ssl_key: ""
  ssl_crt: ""
  ssl_ca: ""
  port: 3306
  bind: "0.0.0.0"
  max_connections: 500
  innodb_buffer_pool_size: 1 # Use 1 instance per 1GB of InnoDB pool size - max is 64
  expire_logs_days: 30
  current_password: ""
  new_password: ""

install_mariadb__server_id: 1
install_mariadb__node_address: "{{ hostvars[inventory_hostname]['ansible_default_ipv4']['address'] }}"

install_mariadb__galera_cluster:
  enabled: false
  clustername: ""
  node_name: "{{ inventory_hostname }}"
  node_list: []
    # - "127.0.0.1"
  seed_host: "{{ inventory_hostname }}"
